## mothur 1.47.0

=== Makefile ===
###################################################
#
# Makefile for mothur
#
###################################################

#
# Macros
#
# OPTIMIZE - yes will increase speed of executable.
# USEREADLINE - link with readline libraries.  Must have readline installed. Windows set to no.
# USEBOOST - link with boost libraries. Must install boost. Allows the make.contigs command to read .gz files.
# USEHDF5 - link with HDF5cpp libraries. Must install HDF5. Allows the biom.info command to read Biom format 2.0.
# USEGSL - link with GNU Scientific libraries. Must install GSL. Allows the estimiator.single command to find diversity estimates.
# HDF5_LIBRARY_DIR - location of HDF5 libraries
# HDF5_INCLUDE_DIR - location of HDF5 include files
# BOOST_LIBRARY_DIR - location of boost libraries
# BOOST_INCLUDE_DIR - location of boost include files
# GSL_LIBRARY_DIR - location of GSL libraries
# GSL_INCLUDE_DIR - location of GSL include files
# MOTHUR_FILES - The MOTHUR_FILES parameter is optional, but allows you to set a default location for mothur to look for input files it can't find. This is often used for reference files you want to store in one location separate from your data.

INSTALL_DIR ?= "\"Enter_your_mothur_install_path_here\""

OPTIMIZE ?= yes
USEREADLINE ?= yes
USEBOOST ?= no
USEHDF5 ?= no
USEGSL ?= no
LOGFILE_NAME ?= no

BOOST_LIBRARY_DIR ?= "\"Enter_your_boost_library_path_here\""
BOOST_INCLUDE_DIR ?= "\"Enter_your_boost_include_path_here\""
HDF5_LIBRARY_DIR ?= "\"Enter_your_HDF5_library_path_here\""
HDF5_INCLUDE_DIR ?= "\"Enter_your_HDF5_include_path_here\""
GSL_LIBRARY_DIR ?= "\"Enter_your_GSL_library_path_here\""
GSL_INCLUDE_DIR ?= "\"Enter_your_GSL_include_path_here\""
MOTHUR_FILES="\"Enter_your_default_path_here\""
MOTHUR_TOOLS="\"Enter_your_mothur_tools_path_here\""
VERSION = "\"1.47.0\""
RELEASE_DATE = "\"1/21/22\""


# Set a static logfile name
ifeq  ($(strip $(LOGFILE_NAME)),yes)
    LOGFILE_NAME="\"silent\""
endif

ifeq  ($(strip $(OPTIMIZE)),yes)
    CXXFLAGS += -O3
endif

CXXFLAGS += -std=c++11 -pthread -DVERSION=${VERSION} -DRELEASE_DATE=${RELEASE_DATE}
LDFLAGS += -std=c++11 -pthread

ifeq  ($(strip $(MOTHUR_FILES)),"\"Enter_your_default_path_here\"")
else
    CXXFLAGS += -DMOTHUR_FILES=${MOTHUR_FILES}
endif

ifeq  ($(strip $(MOTHUR_TOOLS)),"\"Enter_your_mothur_tools_path_here\"")
else
    CXXFLAGS += -DMOTHUR_TOOLS=${MOTHUR_TOOLS}
endif

# if you do not want to use the readline library, set this to no.
# make sure you have the library installed


ifeq  ($(strip $(USEREADLINE)),yes)
    CXXFLAGS += -DUSE_READLINE
    LIBS += -lreadline
endif


#User specified boost library
ifeq  ($(strip $(USEBOOST)),yes)

    LDFLAGS += -L ${BOOST_LIBRARY_DIR}

    LIBS += -lboost_iostreams -lboost_system -lboost_filesystem -lz
    CXXFLAGS += -DUSE_BOOST -I ${BOOST_INCLUDE_DIR}
endif

#User specified HDF5 library
ifeq  ($(strip $(USEHDF5)),yes)

LDFLAGS += -L ${HDF5_LIBRARY_DIR}
LIBS += -lhdf5 -lhdf5_cpp
CXXFLAGS += -DUSE_HDF5 -I ${HDF5_INCLUDE_DIR}

endif

#User specified GSL library
ifeq  ($(strip $(USEGSL)),yes)

LDFLAGS += -L ${GSL_LIBRARY_DIR}
LIBS += -lgsl -lgslcblas -lm
CXXFLAGS += -DUSE_GSL -I ${GSL_INCLUDE_DIR}

endif

#
# INCLUDE directories for mothur
#
#
	VPATH=source/calculators:source/chimera:source/classifier:source/clearcut:source/commands:source/communitytype:source/datastructures:source/engines:source/metastats:source/read:source/svm:source/
    skipUchime := source/uchime_src/
    subdirs :=  $(sort $(dir $(filter-out  $(skipUchime), $(wildcard source/*/))))
    subDirIncludes = $(patsubst %, -I %, $(subdirs))
    subDirLinking =  $(patsubst %, -L%, $(subdirs))
    CXXFLAGS += -I. $(subDirIncludes)
    LDFLAGS += $(subDirLinking)


#
# Get the list of all .cpp files, rename to .o files
#
    OBJECTS=$(patsubst %.cpp,%.o,$(wildcard $(addsuffix *.cpp,$(subdirs))))
    OBJECTS+=$(patsubst %.c,%.o,$(wildcard $(addsuffix *.c,$(subdirs))))
    OBJECTS+=$(patsubst %.cpp,%.o,$(wildcard *.cpp))
    OBJECTS+=$(patsubst %.c,%.o,$(wildcard *.c))

mothur : $(OBJECTS) uchime
	$(CXX) $(LDFLAGS) $(TARGET_ARCH) -o $@ $(OBJECTS) $(LIBS)

uchime :
	cd source/uchime_src && export CXX=$(CXX) && make clean && make && mv uchime ../../ && cd ..

install : mothur

ifeq  ($(strip $(INSTALL_DIR)),"\"Enter_your_mothur_install_path_here\"")
else
	mkdir -p ${INSTALL_DIR}
	mv mothur ${INSTALL_DIR}/mothur
endif

	
%.o : %.c %.h
	$(COMPILE.c) $(OUTPUT_OPTION) $<
%.o : %.cpp %.h
	$(COMPILE.cpp) $(OUTPUT_OPTION) $<
%.o : %.cpp %.hpp
	$(COMPILE.cpp) $(OUTPUT_OPTION) $<



clean :
	@rm -f $(OBJECTS)

=== debian/changelog ===
mothur (1.47.0-1) unstable; urgency=medium

  * New upstream version
  * Adapt batch file of autopkgtest
  * Install examples

 -- Andreas Tille <tille@debian.org>  Mon, 31 Jan 2022 15:02:16 +0100

mothur (1.46.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Fix build with gcc-11
    Closes: #984243
  * Follow parts of the hints by Aaron M. Ucko
  * Fix linking

  [ Hamid Nassiby ]
  * Fix linking

 -- Andreas Tille <tille@debian.org>  Mon, 08 Nov 2021 18:08:09 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules for mothur
# Andreas Tille <tille@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCHBITS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)

ifeq ($(ARCHBITS),64)
	64BIT_VERSION=yes
else
	64BIT_VERSION=no
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 64BIT_VERSION=$(64BIT_VERSION)
	# source/uchime_src/mk vanished from upstream source so this should probably not be called any more)
	# (cd source/uchime_src && CXX=$(CXX) ./mk && mv uchime ../..)

override_dh_auto_install:
	true

#Cleaning needs help right now
override_dh_auto_clean:
	rm -f mothur uchime
	make clean
	(cd source/uchime_src && rm -f *.o mk.stdout mk.stderr tmp.stderr)

# Test data are missing
#override_dh_auto_test:
#	TestBatches/master_batch.sh

override_dh_dwz:
	echo Do not run dh_dwz due to:
	echo "   dwz: Too few files for multifile optimization"
	echo "   objcopy: 'debian/mothur/usr/lib/debug/.dwz/x86_64-linux-gnu/mothur.debug': No such file"
	echo "   dh_dwz: objcopy --compress-debug-sections debian/mothur/usr/lib/debug/.dwz/x86_64-linux-gnu/mothur.debug returned exit code 1"

## mothur 1.48.0

=== Makefile ===
--- 
+++ 
@@ -37,8 +37,8 @@
 GSL_INCLUDE_DIR ?= "\"Enter_your_GSL_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
 MOTHUR_TOOLS="\"Enter_your_mothur_tools_path_here\""
-VERSION = "\"1.47.0\""
-RELEASE_DATE = "\"1/21/22\""
+VERSION = "\"1.48.0\""
+RELEASE_DATE = "\"5/20/22\""
 
 
 # Set a static logfile name

=== debian/changelog ===
mothur (1.48.0-2) unstable; urgency=medium

  * Team upload.
  * Fix batch file for autopkgtest (Closes: #1014104)
  * Add patch to add hardening flags
  * Refresh patch

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 06 Aug 2022 14:24:47 +0000

mothur (1.48.0-1) unstable; urgency=medium

  * New upstream version 1.48.0
  * Refresh patches

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 20 Jun 2022 13:58:22 +0200

=== debian/control ===
Source: mothur
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Tomasz Buchert <tomasz@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gfortran,
               libboost-iostreams-dev,
               libreadline-dev,
               zlib1g-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/mothur
Vcs-Git: https://salsa.debian.org/med-team/mothur.git
Homepage: https://www.mothur.org
Rules-Requires-Root: no

Package: mothur
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: uchime
Provides: uchime
Description: sequence analysis suite for research on microbiota
 Mothur seeks to develop a single piece of open-source, expandable
 software to fill the bioinformatics needs of the microbial ecology
 community. It has incorporated the functionality of dotur, sons,
 treeclimber, s-libshuff, unifrac, and much more. In addition to improving
 the flexibility of these algorithms, a number of other features including
 calculators and visualization tools were added.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?\.?(\d\S*)\.tar\.gz/mothur-$1\.tar\.gz/ \
    https://github.com/mothur/mothur/tags .*/v?\.?(\d[.\d]+)\.tar\.gz

## mothur 1.48.1

=== Makefile ===
--- 
+++ 
@@ -37,8 +37,8 @@
 GSL_INCLUDE_DIR ?= "\"Enter_your_GSL_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
 MOTHUR_TOOLS="\"Enter_your_mothur_tools_path_here\""
-VERSION = "\"1.48.0\""
-RELEASE_DATE = "\"5/20/22\""
+VERSION = "\"1.48.1\""
+RELEASE_DATE = "\"5/15/24\""
 
 
 # Set a static logfile name

=== debian/changelog ===
mothur (1.48.1-1) unstable; urgency=medium

  * New upstream version 1.48.1
  * Refresh patches

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 02 Jun 2024 10:19:46 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libboost-iostreams-dev,
                libreadline-dev,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/mothur
 Vcs-Git: https://salsa.debian.org/med-team/mothur.git
 Homepage: https://www.mothur.org
@@ -18,7 +18,8 @@
 
 Package: mothur
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Conflicts: uchime
 Provides: uchime
 Description: sequence analysis suite for research on microbiota

=== debian/rules ===
--- 
+++ 
@@ -32,10 +32,6 @@
 	make clean
 	(cd source/uchime_src && rm -f *.o mk.stdout mk.stderr tmp.stderr)
 
-# Test data are missing
-#override_dh_auto_test:
-#	TestBatches/master_batch.sh
-
 override_dh_dwz:
 	echo Do not run dh_dwz due to:
 	echo "   dwz: Too few files for multifile optimization"

## mothur 1.48.5

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 INSTALL_DIR ?= "\"Enter_your_mothur_install_path_here\""
 
 OPTIMIZE ?= yes
-USEREADLINE ?= yes
+USEREADLINE ?= no
 USEBOOST ?= no
 USEHDF5 ?= no
 USEGSL ?= no
@@ -37,8 +37,8 @@
 GSL_INCLUDE_DIR ?= "\"Enter_your_GSL_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
 MOTHUR_TOOLS="\"Enter_your_mothur_tools_path_here\""
-VERSION = "\"1.48.1\""
-RELEASE_DATE = "\"5/15/24\""
+VERSION = "\"1.48.5\""
+RELEASE_DATE = "\"1/13/26\""
 
 
 # Set a static logfile name
@@ -102,8 +102,7 @@
 
 #
 # INCLUDE directories for mothur
-#
-#
+
 	VPATH=source/calculators:source/chimera:source/classifier:source/clearcut:source/commands:source/communitytype:source/datastructures:source/engines:source/metastats:source/read:source/svm:source/
     skipUchime := source/uchime_src/
     subdirs :=  $(sort $(dir $(filter-out  $(skipUchime), $(wildcard source/*/))))
@@ -112,11 +111,7 @@
     CXXFLAGS += -I. $(subDirIncludes)
     LDFLAGS += $(subDirLinking)
 
-
-#
-# Get the list of all .cpp files, rename to .o files
-#
-    OBJECTS=$(patsubst %.cpp,%.o,$(wildcard $(addsuffix *.cpp,$(subdirs))))
+		OBJECTS=$(patsubst %.cpp,%.o,$(wildcard $(addsuffix *.cpp,$(subdirs))))
     OBJECTS+=$(patsubst %.c,%.o,$(wildcard $(addsuffix *.c,$(subdirs))))
     OBJECTS+=$(patsubst %.cpp,%.o,$(wildcard *.cpp))
     OBJECTS+=$(patsubst %.c,%.o,$(wildcard *.c))

=== debian/changelog ===
mothur (1.48.5-2) unstable; urgency=medium

  * Fix hardening flags for uchime

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 11 Feb 2026 00:06:31 +0100

mothur (1.48.5-1) unstable; urgency=medium

  * New upstream version 1.48.5
  * Refresh patches

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 07 Feb 2026 20:10:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: mothur
+Standards-Version: 4.7.3
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>,
            Tomasz Buchert <tomasz@debian.org>
 Section: science
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (= 13),
                gfortran,
                libboost-iostreams-dev,
                libreadline-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/mothur
 Vcs-Git: https://salsa.debian.org/med-team/mothur.git
 Homepage: https://www.mothur.org
-Rules-Requires-Root: no
 
 Package: mothur
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: uchime
 Provides: uchime
 Description: sequence analysis suite for research on microbiota
